With the release of Magics 4.0.0 (Feb 2019), the Python interface is separated from the library - please use pip or conda to install the Magics Python interface; either do:

  • pip install Magics                                            (requires Magics to be installed) or

  • conda install -c conda-forge Magics=4.0.0  (installs Magics library and all its dependencies for you : do not forget to activate you conda environment before running your python program)

On ECMWF systems you have nothing to change as long as you use the module system as usual:

  • module load Magics






Please send an email to software.support@ecmwf.int or go to Issues if you have any suggestions for improvements or have discovered a bug with this software package.